

import java.util.Scanner;

public class WeightApp {
  
  
  //initializes variable for user's weight     
  public static double weight = 0;
  
  public static String[] output = new String[6];
  
  //Method that calculates and prints various weights
  public static void checkWeight(int n){
    //String[] output = new String[6];
    output[0] = "Please enter a number 1-5";
    output[1] = "Weight on Mercury: " + weight * 0.378;
    output[2] = "Weight on Venus: " + weight * 0.907;
    output[3] = "Weight on Earth's Moon: " + weight * 0.167;
    output[4] = "Weight on Mars: " + weight * 0.377;
    output[5] = "You quit the program.";
    
    if(n >= 1 && n <= 5){
      System.out.println(output[n]);
    }
    else {
      System.out.println(output[0]);
    }
  }
  
  
  public static void main(String[] args) {
    Scanner scan = new Scanner(System.in);
    
    
        
        //While loop to repeat until a valid weight is entered
        while(weight <= 0) 
        {
            //Prompts user for weight
            System.out.println("Please enter your weight in pounds: ");
            //Sets weight variable to user input
            weight = scan.nextInt();
            if(weight > 0)
            {
                System.out.println("Thank you.");
            }
            else
            {
                System.out.println("Error: Invalid Weight");
            }
        }
        
        //int to assist in navigating the program
        int nav = 0;
        
        //while loop to run program until user enters 5 to quit
        while (nav != 5){
            System.out.println("*******************************************"
                           + "\n* Main Menu:                              *"
                           + "\n*    Enter # to run program or Quit       *"
                           + "\n*    1) Calculate Weight on Mercury       *"
                           + "\n*    2) Calculate Weight on Venus         *"
                           + "\n*    3) Calculate Weight on Earth’s Moon  *"
                           + "\n*    4) Calculate Weight on Mars          *"
                           + "\n*    5) Quit                              *"
                           + "\n*******************************************");
            nav = scan.nextInt();
            
            System.out.println();
            
            //Calls checkWeight function to calculate weight
            checkWeight(nav); 
            
            System.out.println();
            
            
        }      
    }
}
